Holland_June2011 308a.jpg=Our show team 
Dindy & Duke.jpg=Best Veterans - Dindy & Duke. It all stayed in the family :)))
fotomontage with Odi.jpg=We wish Odi would be there too :((((
Our veterans.jpg=From left - Benson, Duke, Addy and Dindy
